@import 'variables.css';

*{
    box-sizing: border-box;
    font-family: var(--tipography);
    margin: 0;
    padding: 0;
}

.container{
    background-color: var(--thirdColor);
    border-radius: 10px;
    border: 1px solid #ccc;
    margin: 5%;
}

.header{
    align-items: center;
    background-color: var(--secondaryColor);
    border-radius: 10px 10px 0 0;
    display: flex;
    justify-content: center;
    padding: 10px 0 10px 0;
}

.header__figure{
    align-items: center;
    display: flex;
    justify-content: center;
}

.header__img{
    height: 20px;
    width: 20px;
}

.header__title{
    color: white;
    font-size:  1rem;
    font-weight: 400;
    margin-left: 3px;
}

.main{
    align-items: center;
    background-color: var(--primaryColor);
    display: flex;
    flex-direction: column;
}

.pokemon{
    display: flex;
    flex-direction: column;
    margin-bottom: 20px;
    margin-top: 15px;
    position: absolute;
    text-align: center;
    width: 80%;
}

.pokemon__name{
    align-items: center;
    background-color: white;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    margin-bottom: 15px;
    padding: 4px 0;
}

.pokemon__electric{
    height: 40px;
    width: 40px;
}

.pokemon__title{
    font-size: 1.5rem;
    font-weight: 600;
}

.pokemon__container{
    position: relative;
}

.pokemon__img{
    height: 150px; 
}

.characteristics{
    background-color: white;
    border-radius: 10px;
    color: var(--secondaryColor);
    display: grid;
    justify-content: center;
    margin-bottom: 20px;
    margin-top: 180px;
    padding: 60px 0 20px 0;
    width: 90%;
}

.characteristics__list{
    display: flex;
}

.characteristics__text{
    margin: 0 0 8% 0;
    padding-left: 15px;
    width: 50%;
}

.characteristics__description{
    padding-right: 30px;
    width: 50%;
}

.footer{
    background-color: white;
    border-radius: 0 0 10px 10px;
    display: flex;
    flex-direction: column;
}

.footer-section{
    align-items: center;
    display: flex;
    flex-direction: column;
}

.footer-section__others{
    margin: 10px 0 10px 0;
}

.footer-section__pokemon{
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 5px;
}

.footer-section__container{
    background-color: var(--thirdColor);
    border-radius: 10px;
    cursor: pointer;
    margin: 2% 0 5% 16%;
    padding: 4px;
}

.footer-section__container:hover{
    background-color: var(--secondaryColor);
}

.footer-section__img{
    height: 50px;
    width: 50px;
}

@media (min-width: 600px) {
    .container{
        margin: 2%;
    }

    .header{
        justify-content: flex-start;
        padding: 10px 0 10px 20px;
    }

    .header__img{
        height: 25px;
        width: 25px;
    }
    
    .header__title{
        font-size:  1.2rem;
    }

    .main{
        align-items: flex-start;
        flex-direction: row;
        justify-content: center;
        justify-content: space-evenly;
        padding: 30px 0 30px 0;
    }

    .pokemon{
        margin: 0;
        position: static;
        width: 40%;
    }

    .pokemon__name{
        margin-bottom: 40px;
    }

    .pokemon__container{
        position: static;
    }

    .pokemon__img{
        height: 200px;
    }

    .characteristics{
        grid-template-columns: repeat(2, 1fr);
        margin: 0;
        padding: 3rem 0;
        width: 50%;
    }

    .characteristics__list{
        align-items: center;
        display: flex;
        flex-direction: column;
        justify-content: center;
        margin: 1.5rem;
        
    }

    .characteristics__description{
        padding-right: 0;
        margin-bottom: 0;
        margin-left: 0;
        text-align: center;
        width: 100%;
    }

    .characteristics__text{
        font-size: 22px;
        font-weight: 700;
        padding-left: 0;
        margin-bottom: 0;
        margin-left: 0;
        text-align: center;
        width: 100%;
    }

    .footer{
        flex-direction: row;
        justify-content: center;
        width: 100%;
    }

    .footer-section{
        flex-direction: row;
        justify-content: space-between;
        margin: 15px 0 15px 0;
        width: 93%;
    }

    .footer-section__others{
        margin: 0;
    }

    .footer-section__pokemon{
        column-gap: 50px;
        flex-wrap: nowrap;
        margin: 0;
    }

    .footer-section__container{
        margin: 0;
        padding: 10px;
    }
}

@media (min-width:740px) {
    .footer-section{
        justify-content: space-evenly;
    }
}

@media (min-width: 1024px) {
    .main{
        justify-content: center;
    }

    .pokemon{
        margin-right: 50px;
        width: 25%;
    }

    .pokemon__container{
        height: 230px;
    }

    .characteristics{
        width: 30%;
    }
    
    .footer-section{
        column-gap: 70px;
        justify-content: space-between;
        width: 60%;
    }

    .footer-section__pokemon{
        column-gap: 60px;
    }
}

@media (min-width: 1240px) {
    .characteristics{
        width: 25%;
    }

    .footer-section{
        width: 54%;
    }
}

@media (min-width: 1440px) {
    .pokemon__img{
        height: 250px;
    }   
    
    .footer-section__pokemon{
        column-gap: 100px;
    }
}